###
# Copyright 2014, Aurel Wildfellner.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

import urllib.request

apiurl="https://devlol.org/status/hackerspaceapi/"


def setDoorLockStatus(status):
    global apiurl
    if status:
        sv = "true"
    else:
        sv = "false"
    try:
        res = urllib.request.urlopen(apiurl + "set/door_locked/" + sv, timeout=1.0)
        return res.read().decode('UTF-8') == 'OK'
    except:
        return False


def setSpaceStatus(status):
    global apiurl
    if status:
        sv = "open"
    else:
        sv = "close"
    try:
        res = urllib.request.urlopen(apiurl + "set/" + sv, timeout=2.0)
        return "OK the space is" in res.read().decode('UTF-8')
    except:
        return False


def getSpaceStatus():
    global apiurl
    try:
        res = urllib.request.urlopen(apiurl + "viewstatus", timeout=2.0)
        return 'OPEN' in res.read().decode('UTF-8')
    except:
        return False


